Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(272)

Issue 317513002: Add a RefPtr<Frame> for child in FrameLoader::checkLoadCompleteForThisFrame (Closed)

Created:
6 years, 7 months ago by Nate Chapin
Modified:
6 years, 7 months ago
CC:
blink-reviews, gavinp+loader_chromium.org
Visibility:
Public.

Description

Add a RefPtr<Frame> for child in FrameLoader::checkLoadCompleteForThisFrame Not having this can cause problems in the test harnass, where some of the FrameLoaderClients do substantially more work than they do in a non-test environment. BUG=357283 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=175601

Patch Set 1 #

Patch Set 2 : +test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -12 lines) Patch
A + LayoutTests/http/tests/misc/detach-during-notifyDone.html View 1 1 chunk +2 lines, -2 lines 0 comments Download
A LayoutTests/http/tests/misc/detach-during-notifyDone-expected.txt View 1 1 chunk +1 line, -0 lines 0 comments Download
A + LayoutTests/http/tests/misc/resources/detached-frame.html View 1 1 chunk +2 lines, -8 lines 0 comments Download
M Source/core/loader/FrameLoader.cpp View 1 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 8 (0 generated)
Nate Chapin
This is the blink half of resolving bug 357283, the other half of which is ...
6 years, 7 months ago (2014-06-03 23:04:36 UTC) #1
Nate Chapin
On 2014/06/03 23:04:36, Nate Chapin wrote: > This is the blink half of resolving bug ...
6 years, 7 months ago (2014-06-03 23:50:56 UTC) #2
eseidel
rslgtm if you add a test case when landing.
6 years, 7 months ago (2014-06-04 00:42:54 UTC) #3
Nate Chapin
On 2014/06/04 00:42:54, eseidel wrote: > rslgtm if you add a test case when landing. ...
6 years, 7 months ago (2014-06-04 16:40:41 UTC) #4
Nate Chapin
The CQ bit was checked by japhet@chromium.org
6 years, 7 months ago (2014-06-05 21:15:49 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/japhet@chromium.org/317513002/20001
6 years, 7 months ago (2014-06-05 21:16:58 UTC) #6
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: mac_blink_rel on tryserver.blink ...
6 years, 7 months ago (2014-06-05 22:40:03 UTC) #7
commit-bot: I haz the power
6 years, 7 months ago (2014-06-06 00:02:15 UTC) #8
Message was sent while issue was closed.
Change committed as 175601

Powered by Google App Engine
This is Rietveld 408576698